> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/api.md).

# API

- [API Introduction](https://docs.decisionrules.io/doc/v1/api/api-introduction.md)
- [API Keys](https://docs.decisionrules.io/doc/v1/api/api-keys.md): API keys for using in your application.
- [Solver API Keys](https://docs.decisionrules.io/doc/v1/api/api-keys/solver-api-keys.md)
- [Management API keys](https://docs.decisionrules.io/doc/v1/api/api-keys/management-api-keys.md)
- [BI API keys](https://docs.decisionrules.io/doc/v1/api/api-keys/management-api-keys-1.md)
- [Rule Solver API](https://docs.decisionrules.io/doc/v1/api/rule-solver-api.md): Request and response from API solving.
- [Management API](https://docs.decisionrules.io/doc/v1/api/management-api.md): The Management API is a secure REST API that provides read/write access to your rules and spaces.
- [Deprecated Endpoints](https://docs.decisionrules.io/doc/v1/api/management-api/deprecated-endpoints.md)
- [Console Logs API](https://docs.decisionrules.io/doc/v1/api/console-logs-api.md): The Console Logs API is a secure REST API that provides console logs.
- [Business Intelligence API](https://docs.decisionrules.io/doc/v1/api/bi-api.md): The Business Intelligence API allows to get audit logs from the rule solver.
- [Deprecated Endpoints](https://docs.decisionrules.io/doc/v1/api/bi-api/deprecated-endpoints.md)
- [Datacenters & Locations](https://docs.decisionrules.io/doc/v1/api/geo-location.md): As DecisionRules is offered both in a Global Cloud and a Regional Cloud versions, this article is split to explain both
- [Global Cloud](https://docs.decisionrules.io/doc/v1/api/geo-location/geo-location.md)
- [Regional Cloud](https://docs.decisionrules.io/doc/v1/api/geo-location/regional-cloud.md)
- [Apache Kafka Solver API](https://docs.decisionrules.io/doc/v1/api/apache-kafka-solver-api.md)
- [Endpoint Settings](https://docs.decisionrules.io/doc/v1/api/endpoints.md): This guide shows you how to change your endpoints.
- [Archive](https://docs.decisionrules.io/doc/v1/api/archive.md)
- [Rule Flow Solver API (DEPRECATED)](https://docs.decisionrules.io/doc/v1/api/archive/rule-flow-solver-api.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
